This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 182641 - USB key drive has broken format menu option
USB key drive has broken format menu option
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-23 14:57 EST by Jonathan Blandford
Modified: 2015-03-03 17:27 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:34:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jonathan Blandford 2006-02-23 14:57:56 EST
If you have an unmounted USB drive, it has a 'Format' entry in the option menu.
 Selecting it gives me the following error message:

"The device '/dev/sda1' can not be formatted."
Comment 1 Jindrich Novy 2006-02-26 08:14:41 EST
Usermount will refuse to format if the device is not writable or is mounted and
doesn't distinguish device types such as an USB key drive. Please check your
permissions for /dev/sda1, what may cause your problem. Have you seen this
message running usermount as root?

It worked for me fine with my 128MB Seitec key drive.
Comment 2 Jonathan Blandford 2006-02-27 10:08:04 EST
[ Adding davidz to the CC list ]

Doesn't seem to work either as root or normal use.  The drive can be mounted but
not formatted.  Permissions are as follows:

[root@localhost ~]# ls -l /dev/sda1
brw-r----- 1 root disk 8, 1 Feb 27 10:00 /dev/sda1

Comment 3 David Zeuthen 2006-02-27 11:14:13 EST
> Please check your permissions for /dev/sda1, what may cause your problem.

We don't change the permissions of devices in the default install and we
shouldn't - it would violate security... I know we used to do this back in the
updfstab days but this changed in FC3.

Btw, A new set of GNOME formatting/partitions tools using HAL is planned.. will
also include support for formatting LUKS volumes.. and it won't require root or
special device permissions for e.g. USB keys.

This should make FC6 - especially if we devote some time to working on this :-)
Comment 4 Jindrich Novy 2006-02-28 09:41:28 EST
Just to have more info, do you have SELinux enabled on your box?
Comment 5 Jonathan Blandford 2006-02-28 11:31:34 EST
Yup. Running Permissive.
Comment 6 Miloslav Trmač 2007-03-10 00:28:12 EST
userformat can't help it if it is called by nautilus on a device that isn't
writable.  At minimum, nautilus shouldn't offer the menu entry in that case.
Comment 7 Bug Zapper 2008-04-03 22:08:37 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2008-05-06 11:34:18 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.